<?xml version="1.0" encoding="windows-1251"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xalan="http://xml.apache.org/xalan"
    xmlns:format="xalan://java.text.Format"
    xmlns:iterator="xalan://java.lang.Iterator"
    xmlns:session="xalan://bitel.billing.server.phone.bean.Session"
    xmlns:detail="xalan://bitel.billing.server.phone.bean.SessionDetail"
    xmlns:utils="bitel.billing.server.util.Utils"
    extension-element-prefixes="session iterator format utils"
	version="1.0">

<xsl:output method="html" encoding="windows-1251" indent="yes"/>

<xsl:param name="beans"/>
<xsl:param name="format"/>
<xsl:param name="size"/>

<xsl:template match="/">
   <html>
   <head>
   <style type="text/css"><![CDATA[
   th.thService, th.thAon, th { text-align: left; }
   ]]>
   </style>
   </head>
    <body>
    <center>
        <xsl:call-template name="head"/><br/>
		<xsl:for-each select="/data/sessions">
			<xsl:choose>
				<xsl:when test="@type = 1"><xsl:call-template name="table_point"/>
				</xsl:when>
				<xsl:otherwise><xsl:call-template name="table_point"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
		<br/>
        <xsl:call-template name="sums"/>
    </center>
    </body>
    </html>
</xsl:template>

<xsl:template name="head">
    <xsl:for-each select="/data/sessions">
         <h2><xsl:value-of select="@reportTitle"/><br/>
         :&#160;<xsl:value-of select="@contractTitle"/>(<xsl:value-of select="@comment"/>)
         </h2><br/>
          : <xsl:value-of select="@date1"/>  <xsl:value-of select="@date2"/>
    </xsl:for-each>
</xsl:template>

<xsl:template name="table_point">
<table width="100%" border="1" cellspacing="0" cellpadding="3">
     <tr bgcolor="#f0f0f0">
	   <td>/ </td>
	   <td></td>
	   <td>  B</td>
	   <td><br/>, .</td>
	   <td> ,<br/>.</td>
     </tr>
     <xsl:for-each select="$size">
     <xsl:variable name="service" select="iterator:next( $beans )"/>
     <xsl:variable name="aons" select="detail:iterator( $service )"/>

		<tr>
			<th colspan="5" class="thService">: <xsl:value-of select="detail:getTitle( $service )"/></th>
		</tr>

     	<xsl:for-each select="detail:getSize( $service )">
     	<xsl:variable name="aon" select="iterator:next( $aons )"/>
     	<xsl:variable name="sessions" select="detail:iterator( $aon )"/>

			<tr>
				<th colspan="5" class="thAon">  : <xsl:value-of select="detail:getTitle( $aon )"/></th>
			</tr>

     	<xsl:for-each select="detail:getSize( $aon )">
	     	<xsl:variable name="s" select="iterator:next( $sessions )"/>
	         <tr>
	         	<td><xsl:value-of select="format:format( $format, session:getSessionStart( $s ) )"/></td>
	         	<td><xsl:value-of select="session:getDestination( $s )"/></td>
	         	<td><xsl:value-of select="session:getToNumber164( $s )"/></td>
	         	<td><xsl:value-of select="utils:formatSessionTime( session:getSessionTimeRound( $s ) )"/></td>
	         	<td><xsl:value-of select="utils:formatSessionCost( session:getSessionCost( $s ) )"/></td>
	         </tr>
         </xsl:for-each>
         
								<tr>
								<th colspan="2">  :&#160;-&#160;<xsl:value-of select="detail:getTotalNumber( $aon )"/></th>
								<th>
								</th>
								<th>. . ()&#160;<xsl:value-of select="detail:getTotalTimeRoundMinute( $aon )"/>
								</th>
								<th>&#160;<xsl:value-of select="detail:getTotalCostFormat( $aon )"/></th>
							  </tr>

         </xsl:for-each>
         
         					<tr>
								<th colspan="2">  :&#160;-&#160;<xsl:value-of select="detail:getTotalNumber( $service )"/></th>
								<th>
								</th>
								<th>. . ()&#160;<xsl:value-of select="detail:getTotalTimeRoundMinute( $service )"/>
								</th>
								<th>&#160;<xsl:value-of select="detail:getTotalCostFormat( $service )"/></th>
							  </tr>

     </xsl:for-each>

</table>
</xsl:template>

<xsl:template name="table_rule">
<table width="100%" border="1" cellspacing="0" cellpadding="3">
     <tr bgcolor="#f0f0f0">
         <td></td>
         <td> </td>
         <td>[ ]</td>
          <td> .[ ]</td>
		 <td><br/></td>
         <td></td>
         <td>  /  </td>         
     </tr>
     <xsl:for-each select="$size">
     <xsl:variable name="s" select="iterator:next( $beans )"/>
         <tr bgcolor="#ffffff">
	         <td><xsl:value-of select="session:getClientItem( $s )"/></td>
             <td><xsl:value-of select="format:format( $format, session:getSessionStart( $s ) )"/></td>
             <td><xsl:value-of select="utils:formatSessionTime( session:getSessionTime( $s ) )"/></td>
             <td><xsl:value-of select="utils:formatSessionTime( session:getSessionTimeRound( $s ) )"/></td>
             <td><xsl:value-of select="utils:formatCost( session:getMinCost( $s ) )"/></td>
             <td><xsl:value-of select="utils:formatSessionCost( session:getSessionCost( $s ) )"/></td>
             <td><xsl:value-of select="session:getFromNumber164( $s )"/>/<xsl:value-of select="session:getToNumber164( $s )"/></td>
         </tr>
     </xsl:for-each>
</table>
</xsl:template>

<xsl:template name="sums">
    <br/>
	 :&#160;<xsl:value-of select="/data/sessions/@total_number"/>&#160;
     [ ]:&#160;<xsl:value-of select="/data/sessions/@total_time"/>&#160;
     . [ ]:&#160;<xsl:value-of select="/data/sessions/@total_time_round"/>&#160;
     [ ]:&#160;<xsl:value-of select="/data/sessions/@total_cost"/>&#160;
</xsl:template>

</xsl:stylesheet>
