<?xml version="1.0" encoding="windows-1251"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xalan="http://xml.apache.org/xalan"
    xmlns:format="xalan://java.text.Format"
    xmlns:iterator="xalan://java.lang.Iterator"
    xmlns:session="xalan://bitel.billing.server.phone.bean.Session"
    xmlns:utils="bitel.billing.server.util.Utils"
    extension-element-prefixes="session iterator format utils"
	version="1.0">

<xsl:output method="html" encoding="windows-1251" indent="yes"/>

<xsl:param name="beans"/>
<xsl:param name="format"/>
<xsl:param name="size"/>

<xsl:template match="/">
   <html>
<head>
</head>
    <body>
    <center>
        <xsl:call-template name="head"/><br/>
		<xsl:for-each select="/data/table">
				<xsl:call-template name="table_point"/>			
		</xsl:for-each>
		<br/>
        <xsl:call-template name="sums"/>
    </center>
    </body>
    </html>
</xsl:template>

<xsl:template name="head">
    <xsl:for-each select="/data/table">
         <h2><xsl:value-of select="@reportTitle"/><br/>
         :&#160;<xsl:value-of select="@contractTitle"/>(<xsl:value-of select="@comment"/>)
         </h2><br/>
          : <xsl:value-of select="@date1"/>  <xsl:value-of select="@date2"/>
    </xsl:for-each>
</xsl:template>

<xsl:template name="table_point">
<table width="100%" border="1" cellspacing="0" cellpadding="3">
     <tr bgcolor="#f0f0f0">
         <td></td>
         <td> </td>
         <td>[ ]</td>
         <td>  /  </td>         
     </tr>
     <xsl:for-each select="$size">
     <xsl:variable name="s" select="iterator:next( $beans )"/>
         <tr bgcolor="#ffffff">
         <td><xsl:value-of select="session:getClientItem( $s )"/></td>
             <td><xsl:value-of select="format:format( $format, session:getSessionStart( $s ) )"/></td>
             <td><xsl:value-of select="utils:formatSessionTime( session:getSessionTime( $s ) )"/></td>
             <td><xsl:value-of select="session:getFromNumber164( $s )"/>/<xsl:value-of select="session:getToNumber164( $s )"/></td>
         </tr>
     </xsl:for-each>
     
</table>
</xsl:template>



<xsl:template name="sums">
    <br/>
	 :&#160;<xsl:value-of select="/data/table/@total_number"/>&#160;
     [ ]:&#160;<xsl:value-of select="/data/table/@total_time"/>&#160;    
</xsl:template>

</xsl:stylesheet>
